Package com.sun.jna.platform.win32

# Class IPHlpAPI.MIB_TCPROW_OWNER_PID

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.IPHlpAPI.MIB_TCPROW_OWNER_PID

Enclosing interface:
  IPHlpAPI

@FieldOrder({"dwState","dwLocalAddr","dwLocalPort","dwRemoteAddr","dwRemotePort","dwOwningPid"}) public static class IPHlpAPI.MIB_TCPROW_OWNER_PID extends Structure
Contains information that describes an IPv4 TCP connection.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`dwLocalAddr`
`int`
`dwLocalPort`
`int`
`dwOwningPid`
`int`
`dwRemoteAddr`
`int`
`dwRemotePort`
`int`
`dwState`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`MIB_TCPROW_OWNER_PID()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dwState

public int dwState

### dwLocalAddr

public int dwLocalAddr

### dwLocalPort

public int dwLocalPort

### dwRemoteAddr

public int dwRemoteAddr

### dwRemotePort

public int dwRemotePort

### dwOwningPid

public int dwOwningPid

## Constructor Details

### MIB_TCPROW_OWNER_PID

public MIB_TCPROW_OWNER_PID()